под linux wine quik последняя версия поддерживается?

Страницы: 1
RSS
под linux wine quik последняя версия поддерживается?
 
Взял Вашу инструкцию, пошёл по ней , установщик quick_junior.exe распаковался нормально. А вот запустить info.exe не получилось, выдаёт ошибка в формате exe. В качестве линукса взял  ALTlinux workstation 8.2.1 64 битный. Так и не понял, он в дистрибутиве идёт 64 битный или 32 битный. По тому что прочитал, следует что 32 битный и его надо переустановить на 64 битный. Но если бы он шёл 32 битный, то он бы так и написал не могу запустить 64 битное приложение. Вышел в старенький линукс, он так и написал. А тут bad format. В чем проблема?
 
Цитата
он в дистрибутиве идёт 64 битный или 32 битный
wine имеется в виду
 
Здравствуйте, Дмитрий.

Если речь идёт об этой инструкции, то наиболее вероятно причина ошибки состоит в несогласованности разрядности ОС / эмулятора Wine / Рабочего места QUIK.
В частности, Вы используете x64 ОС.
Если дистрибутив Wine взят по ссылке из вышеприведённой инструкции - то он x32.
QUIK 8 и новее - x64, QUIK 7 и старее - x32, соответственно, если используете x64 QUIK, то необходимо использовать x64 Wine или другой x64-эмулятор.
Другое решение - использовать x32 QUIK с x32 эмулятором.

Если проблем в разрядности ПО не выявлено, но ошибка сохраняется - за более подробными комментариями рекомендуем обращаться непосредственно к разработчику используемого эмулятора.
 
А не могли бы разработчики терминала актуализировать упомянутую выше инструкцию под современные реалии?

Взять какой-нибудь современный 64-битный дистрибутив Linux, где проще всего добиться работоспособности QUIK 8, и сделать новую инструкцию.
 
Цитата
Если речь идёт об  этой инструкции
Добрый день.
Да эта инструкция. С эмулятором я разбираюсь, 32 разрядный я вытер, поставилт 64 разрядный. Тут что получилось. По инструкции у Вас перед запуском info.exe нужно установить, потом запустить програмку , которая берётся с сайта майкрософта,  и програмка 32 разрядная, а wine и wine64 не живут вместе, на комп я могу поставить и 32 разрядный эмулятор и 64 разрядный, но у них окружение разное, в частности диск c:, а win64 32 разрядное приложение не запускает.

Вот эта программа от Майкрософт, она сейчас по прежнему нужна, или же это рудимент?
Девелопменттулз Вы же обновляет. Может под новые wine, среду разработки, которую Вы наверняка обновили, эту программу запускать не надо?

Если я её не запускаю, то wine64 info.exe секунды три чего-то делает, потом создаёт каталог dump, в него валит файл и выдаёт окно отослать дамп на емайл к Вам, не к девелоперам wine, а производителям quik. Те Ваше окошко.

Но я практически ничего не читал по wine, раньше у меня другие , более простые программы запускались хорошо Может быть чего-то не прописал или не установил.

За ссылку на 32 разрядный quik спасибо, это тоже вариант.
 
7.27.1 поставился под обычную 32 разрядную ALTLinux Workstation 8.2.1 , окошки вижу, со шрифтами нормально, дополнительную программу которая в инструкции не запускал. Соединение, функционал не проверял , только запросил демо доступ. Это уже прогресс. Спасибо, пошёл заниматься 64 битной.
 
Поскольку 7-я версия QUIK уже не актуальна, а с введением 19-значных номеров заявок будет просто несовместима со срочным рынком МосБиржи, то инструкция для установки для Linux + Wine64 + QUIK 8, всё-таки, кажется весьма нужной.

Разработчики, сделайте такую, пожалуйста.
 
Дмитрий,
Цитата
Дмитрий написал:
Если я её не запускаю, то wine64 info.exe секунды три чего-то делает, потом создаёт каталог dump, в него валит файл и выдаёт окно отослать дамп на емайл к Вам, не к девелоперам wine, а производителям quik. Те Ваше окошко.
Пришлите, пожалуйста, нам этот *.dmp-файл для анализа по почте quiksupport@arqatech.com.

Заранее большое спасибо!

_sk_,

Обновлять инструкцию под пользовательские нестабильные сборки мы считаем нецелесообразным. К сожалению, в настоящем, разработчик Wine не может предложить стабильного x64-решения. Кроме того, даже если такое решение появится - сейчас мы не можем спрогнозировать как скоро с нашей стороны произойдёт актуализация инструкции.
 
Про Wine ясно. Ну, а про вариант дистрибутива терминала QUIK под Linux наряду с Windows, как я понимаю, можно и не мечтать.
 
Цитата
Andrey Bezrukov написал:Пришлите, пожалуйста, нам этот *.dmp-файл для анализа по почте quiksupport@arqatech.com.
Добрый день, ок.
У меня есть две восьмых версии QUIK, одна , которую мне прислал брокер. Представляет собой просто зип файл. Инструкция гласит, что его только надо распаковать. А потом,  просто запустить info.exe. Совпадает ли с Вашей последней не проверял.

Ваша последняя, которую выкачал. Установщик у неё 32 разрядный. А само приложение 64 разрядное. А wine и wine64 вместе не ставятся. У них окружение разное, в частности диск c:
Я пока не понял как правильно поступить. И просто поставил себе 32 разрядный и 64 разрядный линукс. Под 32 разрядным запустил exe , который выкачал, он развернулся в каталог. Содержимое каталога похоже на то что прислал брокер.  Этот каталог я скопировал на 64 битный линукс и там запускаю.

Корректна эта операция я не понял. Если Ваш установщик просто распаковывает архив, и в окружении ничего ни меняет, или делает несущественные изменения, то можно dump от него прислать.

Если установщик после распаковки вносит существенные изменения в окружение, то надо мне разбираться можно ли запустить 32 разрядный установщик в 64 окружении. Я посмотрел в брокерский архив, там ничего не видно кроме каталога QUIK. И решил что операция корректна.

При установке 64 битного линукса, можно указать ставить wine или нет, если указываешь что ставить ставится с 32 битный специально скомпилированных под 64 ОС. Я его вытер и перепоставил, не пошло, вылазит это окошко. Переустановил линукс без установки wine,запустил оболочку для установки пакетов, она сама проверяет зависимости, качает из интернета, поставил. Мысль была вдруг что не поставились, дай думаю сделаю итерацию поставлю максимально аккуратно через оболочку. Окошко вылезло снова.

дамп от Высшего квик юниора прислать или от брокерского?

Мне не критично какой Linux, если Вам нужно определённый, могу и его поставить себе. Если quik восьмой идёт на reactos, то меня это тоже устроит. Устроит даже, наверное, удаленный quik, например quik крутится на сервере гдето, а у меня тонкий клиент под линукс. Например, TSE сервер, и RDP клиент rdesktop у меня.



 
 
Спасибо за описание эксперимента. Чем больше пользователей укажут на недоработки терминала, тем стабильнее он будет.
 
Цитата
Дмитрий написал:
Мне не критично какой Linux, если Вам нужно определённый, могу и его поставить себе.
Мне кажется это у вас проблемы с убунтой. Все время чето отваливается и не работает.
И wine 32/64 отлично живут вместе.

У меня арч. Отлично работает как системный wine, так и собранный руками из исходников.
В последнее время я убрал мультилиб и теперь у меня только 64 (все отказываются от 32), соответственно также как у вас инсталлятор не запускается.
Беру архивы с сайта арки, распаковываю и все отлично работает.

Инструкция по установке, про которую речь, по сути не нужна, ибо из нее нужно поставить только winetricks.  
 
Дмитрий,

Да, по сути, установка из дистрибутива с нашего сайта состоит в распаковке архива. Аналогичным образом можно "установить" терминал просто скопировав папку с файлами QUIK с другого ПК, например.
Поэтому в этом случае Ваша операция была корректна. Это также справедливо и для дистрибутивов некоторых брокеров, однако они могут предлагать модифицированные дистрибутивы, которые могут вносить изменения в окружение. Этот момент следует уточнять непосредственно у брокера.

Можете прислать *.dmp-файл от нашего дистрибутива.
 
Цитата
Andrey Bezrukov написал:
*.dmp-файл от нашего
Добрый день, ок, эту установку фиксирую, по спрашиваю ещё, и если не разрешился, то пришлю, мне самому время терпит, где-то ещё с месяц.
 
Цитата
Imersio Arrigo написал:
Беру архивы с сайта арки, распаковываю и все отлично работает.
сайт арки? Имется в виду отсюда https:/взялatech.com/

А вот этот конкретно пробовали поставить https://arqatech.com/upload/iblock/de5/Quik_Junior_v8.8.0.exe и запустить info.exe или более ранней восьмой. Если более ранний запускается дайте ссылку прямо внутрь сайта, как скачали я попробую

>у меня арч
Это что имеется в веду? Откуда скачивали. Я взялhttp://ftp.altlinux.org/pub/distributions/ALTLinux/p8/images/workstation/alt-workstation-8.2.1-20190...

Он проходит , должен проходить по списку рекомендованных к установке  в госучереждениях.
Это основное соображение было. Функционал везде, наверное, одинаков. А тут было интуитивно понятно что рпм надо братьhttp://ftp.altlinux.org/pub/distributions/ALTLinux/p8/branch/x86_64/RPMS.classic/ а 32 разрядные для 64 битной ОСhttp://ftp.altlinux.org/pub/distributions/ALTLinux/p8/branch/x86_64-i586/RPMS.classic/ , я на нем и остановился
Правда Тут у меня возникли в последнее время подозрения , что надо было качать не workstation а kworkstation вот отсюда

http://ftp.altlinux.org/pub/distributions/ALTLinux/p8/images/kworkstation/

Но это я ещё не попробовал, я думаю что эта специальная сборка с КДЕ , специально собранная и прочищенная. Проблема может быть в этом, тут нашли что не работает, потому что специально искали, а в workstation нет.

>winetricks
Правильно ли я понимаю, что это установщик из wine. Те нужно запустить
winetricks Quik_Junior.exe запустится установка, спросит куда и распадается. Потом перейти в каталог, и набрать win64 info.exe

Так пробовал, но он лезит в сеть ищет какое-то обновление, и не находит, поэтому я установку сделал на 32 линуксе, а потом скопировал в 64 разрядный
 
Цитата
Дмитрий написал:
отсюда  https:/взял  atech.com/
сорри, планшет правит набранный текст,имелось в видуhttps://arqatech.com/ru/support/files/
 
Цитата
Дмитрий написал:
сайт арки? Имется в виду отсюда  https:/взял  atech.com/
Да, взялатеч.ком :)
Цитата
Дмитрий написал:
А вот этот конкретно пробовали поставить  https://arqatech.com/upload/iblock/de5/Quik_Junior_v8.8.0.exe  и запустить info.exe
Нет. там 32хбитный инсталлятор, к-й мне фу.
беру тут: ftp://ftp.quik.ru/public/updates/8.8/
вот же: https://forum.quik.ru/forum10/topic5670/
Распаковал архив, старый забекапил, новый накатил и все.

Неприятный момент может быть, когда брокер дает свой дистр - у него все настроено как надо (зато 32хбитный инсталлер в 64хбитной системе :( ).
Путь достал-распаковал-накатил подходит тем, что понимает что делает.

Цитата
Дмитрий написал:
>у меня арч
Это что имеется в веду? Откуда скачивали. Я взял http://ftp.altlinux.org/pub/
https://www.archlinux.org/
Цитата
Дмитрий написал:
>winetricks
Правильно ли я понимаю, что это установщик из wine. Те нужно запустить
Это отдельный пакет с либами, которые подменяют нужные либы в нужных местах. Это улучшает совместимость.
https://www.archlinux.org/packages/?q=winetricks

Но тут есть нюанс.
Родной, системный wine, требует мультилиб. Если это не смущает - включаем мультилиб, ставим системный и имеет возможность запуска и 32х и 64х битных бинарников на 64хбитной системе.
Если мультилиб не хочется, то есть два пути: 1) собирать ручками из сорцов. 2) брать готорые бинарные сборки.
Цитата
Дмитрий написал:
Так пробовал, но он лезит в сеть ищет какое-то обновление, и не находит, поэтому я установку сделал на 32 линуксе, а потом скопировал в 64 разрядный
Судя по вопросам, мне кажется тебе проще взять мультилиб. поставить wine-multilib и иметь возможность запускать бинари и 32 и 64.
Это позволит нормально ставить квичёк из инсталляторов брокера и вообще не париться.
 
Цитата
Imersio Arrigo написал:беру тут
Цитата
ок, пробую, ключи info.exe где нибудь описаны?
info.exe может быть ещё процессорно зависимым, в компиляторе ключи такие есть, типа гнушных тюне ? Не сказал бы что у меня новый комп. Как падает info.exe при недостатке памяти, может быть это нормально что я вижу , небольшое окошко с одной кнопкой, и надписью извините за несовместимость, именем дампа, емайлом. То что у Вас запускается это хорошо, скорее всего это у меня проблемы с железом или с дистрибутивом. Буду проверять. Спасибо за ссылки.
Страницы: 1
Читают тему (гостей: 1)
Наверх